TAAS - Feature #135

Outstanding Customer Report
02/02/2023 03:04 PM - Anil KV

Status: Reopen Bugs Testing Done Start date: 02/18/2023
Priority: Normal Due date:

Assignee: Sreeranjini T % Done: 90%
Category: Estimated time: 24:00 hours
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Outstanding Customer Report

Description

Coding Outstanding Customer Report

History

#1 - 02/17/2023 03:53 PM - Junaid M
- File SQL-Outstanding-Customer.sql added

Ul Change

Rename Label MainLedger to "Customer"
Customer: Customer + Act As Client
Change Currency Format to Report Style

Controller: BackOfficeReporController.cs
Cs: OustandingCustomer.cs

Reference Module: Posting Summary

#2 - 02/17/2023 03:53 PM - Junaid M

- Status changed from New to Open

- Assignee changed from Junaid M to Christy Saint
- % Done changed from 0 to 10

#3 - 02/17/2023 04:14 PM - Junaid M
- File deleted (SQL-Outstanding-Customer.sql)

#4 - 02/17/2023 04:14 PM - Junaid M
- File SQL-Outstanding-Customer.sql added

#5 - 02/18/2023 06:15 PM - Christy Saint

- Status changed from Open to Coding Started

- Start date changed from 02/02/2023 to 02/18/2023
- % Done changed from 10 to 40

#6 - 02/23/2023 02:08 PM - Christy Saint

- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

- Estimated time set to 24:00 h

#7 - 03/13/2023 04:15 PM - Amal Cyriac
- Status changed from Coding Done to Reopen Bugs

- % Done changed from 60 to 50
- Tested By set to Amal Cyriac

ISSUE FOUND *****

1.Fix bugs on 'Consider Selection Box"

(Drop down icon missing)

2.Fix error while choose Currency -Base 1

3.Set Customer as default item on Consider Selection Box

#8 - 03/15/2023 08:38 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#9 - 05/18/2023 04:25 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Add grid summary
2.Remove ledger currency

#10 - 05/22/2023 11:34 AM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#11 - 06/01/2023 12:44 PM - Junaid M

Modify Amount Column as
Opening Balance | Dr Outstanding | Cr Outstanding | Matched | Net Balance | Closing Balance

#12 - 06/01/2023 12:44 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

#13 - 06/07/2023 06:14 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#14 - 07/28/2023 06:11 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.ADD DR,CR IN NET BALANCE CLOSING BALANCE AND OPENING BALANCE (-VE AMOUNT-CR,+VE AMOUNT DR)

#15 - 08/10/2023 09:54 AM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#16 - 09/12/2023 06:06 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.XO,ENQUIRY WISE FILTER NOT WORKING

#17 - 09/12/2023 06:06 PM - unnikannan S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#18 - 09/25/2023 05:18 PM - Seema Mathew
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from unnikannan S to Seema Mathew

ISSUE FOUNDED****

1.MISSING TOTAL AMOUNT IN PRINT
2.ADDED TOTAL AMOUNT IN GUI

#19 - 09/27/2023 06:08 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#20 - 10/05/2023 06:03 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Seema Mathew to unnikannan S

ISSUE FOUNDED

1.ENQUIRY,XO WISE FILTER SEARCH NOT WORKING
2.CORRECT LABELS IN PRINT

#21 - 10/13/2023 11:43 AM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#22 - 10/16/2023 06:25 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.ERROR WHILE ADDING FO AND SEARCH

2.WHILE SEARCH WITH BASE 2 USD AMT SHOWING US MATCHED IN LIST

#23 - 10/26/2023 04:22 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#24 - 11/01/2023 09:19 PM - Junaid M

- Assignee changed from Christy Saint to Abhiram Venu

#25 - 02/06/2024 03:15 PM - Junaid M

- Assignee changed from Abhiram Venu to Baseem Shan

#26 - 02/06/2024 03:16 PM - unnikannan S
TESTING DONE

#27 - 02/06/2024 03:19 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

05/04/2025

3/5



ISSUE FOUNDED

FIXED - 1.DONT SHOW THE ACCOUNTS IF THERE SETTLEMENT WAS FULLY DONE
FIXED - 2.MISS MATCH IN MATCHED FIELD IN LIST AFTER SETTLEMENT

FIXED - 3.CLEAR BLANK OPTION FROM CURRENCY FIELD IN Ul

4.CORRECT THE WORKING OF CONSIDER MATCHING DONE AFTER TO DATE CHECK BOX

#28 - 02/13/2024 04:56 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#29 - 02/23/2024 01:12 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED
1.MISS MATCH IN OUTSTANDING AMOUNTS AFTER CHOOSING MATCHED DATE WISE LIST
#30 - 02/24/2024 06:16 PM - Baseem Shan

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#31 - 08/28/2024 04:57 PM - Avinash MS
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

GUI Change

Service Date As on [Checkbox(Untick) + Date Picker(Disable)
Date Picker and table title -> Travel Date done before The Date
Checkbox Title -> Tick then the date mandatory(Default Load To Date)

#32 - 09/25/2024 11:39 AM - Baseem Shan
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#33 - 09/27/2024 07:16 PM - unnikannan S
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUNDED

1.Error While Unticking Consider Matching And Search (Fix In All Outstanding Reports)

#34 - 09/28/2024 08:17 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#35 - 12/10/2024 02:28 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#36 - 01/20/2025 12:03 PM - Arathy PS

- Assignee changed from Baseem Shan to Sreeranjini T

#37 - 03/06/2025 11:43 AM - Arathy PS
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50
#38 - 03/06/2025 12:05 PM - Arathy PS
- Status changed from Reopen Bugs to Reopen Bugs Testing Done

- % Done changed from 50 to 90

Files

SQL-Outstanding-Customer.sql 5.28 KB 02/17/2023 Junaid M
